---
#-----------------------------------------------------------------------------#
# ansible-yunohost allows to deploy Yunohost using Ansible                    #
# Copyright 2021-present Lydra https://www.lydra.fr/                          #
#                                                                             #
# this program is free software: you can redistribute it and/or modify        #
# it under the terms of the GNU General Public License as published by        #
# the Free Software Foundation, either version 3 of the License, or           #
# (at your option) any later version.                                         #
#                                                                             #
# this program is distributed in the hope that it will be useful,             #
# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                #
# GNU General Public License for more details.                                #
#                                                                             #
# You should have received a copy of the GNU General Public License           #
# along with this program. If not, see <http://www.gnu.org/licenses/>.        #
#                                                                             #
#-----------------------------------------------------------------------------#

- name: Configure SMTP relay
  ansible.builtin.include_tasks: smtp_relay.yml
  loop: "{{ ynh_smtp_relay | dict2items }}"
  when: item.value
  tags:
    - yunohost
    - smtp

- name: Configure Yunohost autoupdate
  ansible.builtin.include_tasks: autoupdate.yml
  when: ynh_autoupdate.scheduled
  tags:
    - yunohost
    - update

- name: Configure YunoHost SSH options
  ansible.builtin.command:
    "yunohost settings set {{ item.key }} -v {{ item.value }}"
  loop: "{{ ynh_ssh_options | dict2items }}"
  tags:
    - yunohost
    - ssh
